# MediaQuerySensor

_MediaQuerySensor_ (MQS) is a very simple and powerful event wrapper that allows you to perform _actions_ based on _media queries_ specified by you.

## Installation

You can install it with the package manager of your preference.

**npm:**
`npm install mediaquerysensor`

**yarn:**
`yarn add mediaquerysensor`

## Usage

```
import MQS from 'mediaquerysensor';

MQS({
    value: '(min-width: 991px)', /* Your custom media query string */
    action: () => { /* Do something for screens greater than 991px */ }
});
```

| Property | type                      | Description                                                        |
| -------- | ------------------------- | ------------------------------------------------------------------ |
| value    | _String:mediaQueryString_ | MediaQuery in which the action is going to be executed             |
| action   | _Function_                | Function to execute when the mediaquery conditions are fullfilled. |

## How it works

Makes use of the window property `window.matchMedia` to add a listener to the media queries defined in the `init` method.
It will execute the action passed when the media query defined for that action matches the current screen size.
